version: 2


global:
  forget:
    keep-hourly: 24
    keep-daily: 7
    keep-weekly: 4
    keep-monthly: 12

backends:
  fch:
    type: sftp
    path: FCH_serveur:backups/

locations:
  nextcloud_data:
    from:
    - /var/lib/docker/volumes/docker_nextcloud
    to:
    - fch
    cron: 0 0 * * *
    forget: prune


  nextcloud_conf:
    from:
    - /var/lib/docker/volumes/docker_nextcloud-conf
    to:
    - fch
    cron: 0 0 * * *
    forget: prune

  nextcloud_data:
    from:
    - /var/lib/docker/volumes/docker_nextcloud
    to:
    - fch
    cron: 0 0 * * *
    forget: prune

  nextcloud_db:
    from:
    - /DATA/dump_bdd/nextcloud-db
    to:
    - fch
    cron: 0 0 * * *
    forget: prune
    hooks:
      before:
      - /DATA/docker/services/backups/backup_db.sh nextcloud-db  postgresql

  onlyoffice:
    from:
    - /var/lib/docker/volumes/docker_onlyoffice-cache
    - /var/lib/docker/volumes/docker_onlyoffice-data
    to:
    - fch
    cron: 0 0 * * *
    forget: prune

  traefik-certs:
     from:
     - /DATA/docker/services/certs
     to:
     - fch
     cron: 0 0 * * *
     forget: prune

  repos:
     from:
     - /DATA/docker/services/
     to:
     - fch
     options:
       backup:
         exclude:
         - '.git'
     cron: 0 0 * * *
     forget: prune

